------ Differences with Spagic 3.0.0 ------

Alter table service_instance add error Longtext DEFAULT NULL;

------ Differences with Spagic 3.1.0 ------

CREATE TABLE attachments
(
  id               	   Varchar(200) NOT NULL,
  id_process_instance  Bigint(20),
  attachment_data      MEDIUMBLOB NOT NULL,
  attachment_name      Varchar(100),
  content_type         Varchar(50) NOT NULL,
  primary key (id)
);
-- Differences with Spagic 3.2.0

-- New Table to handle Mutex
CREATE TABLE  lock_app (
	proc_name Varchar(255) NOT NULL,
	operation_type Varchar(255) NOT NULL,
	id_proc Varchar(255) NOT NULL,
	dt_last_mod Timestamp NOT NULL,
 Primary Key (proc_name,operation_type)) ;

-- New Table to handle Node
CREATE TABLE spagic_node (
	id_node Varchar(255) NOT NULL,
	ip_address Varchar(255),
	host Varchar(255),
	admin_port Int,
	ssl_port Int,
 Primary Key (id_node));

-- Association Between Service And Node
CREATE TABLE service_node (
	id_service Varchar(300) NOT NULL,
	id_node Varchar(255) NOT NULL,
 Primary Key (id_service,id_node));

Alter table service_node add Foreign Key (id_service) references service (id_service) on delete  restrict on update  restrict;
Alter table service_node add Foreign Key (id_node) references spagic_node (id_node) on delete  restrict on update  restrict;

ALTER TABLE service_instance ADD COLUMN execution_node VARCHAR(255) NOT NULL DEFAULT 'node1' ;

Create Index fk_vi_pi ON variable_instance (id_process_instance);